//---------------------------------------------------------------------------
#ifndef CpkKeyWins2H
#define CpkKeyWins2H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "explbtn.hpp"
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "KeyringWins.h"
//---------------------------------------------------------------------------
class TCpkKey2 : public TCustomKey
{
public:
   __property AnsiString algo   = { read=Algo };

   virtual __fastcall TCpkKey2();
   virtual __fastcall TCpkKey2(TCustomKey *key);
   virtual __fastcall TCpkKey2(TStrings *key, bool Enabled=true);
private:
   AnsiString __fastcall Algo();
};

class TCpkKeyList2 : public TCustomKeyList
{
public:
   //TStringList *type2;
   virtual __fastcall TCpkKeyList2();
   virtual __fastcall TCpkKeyList2(AnsiString filename);
   virtual __fastcall TCpkKeyList2(TCustomKeyList *keys);
   virtual __fastcall TCpkKeyList2(TCustomKey *key);
   virtual __fastcall TCpkKeyList2(TStrings *keys);
   virtual __fastcall~TCpkKeyList2();
   void __fastcall LoadFromStrings(TStrings *keys);
   void __fastcall SaveToFileBak(AnsiString &docname, int bakcopies);
   //bool __fastcall InType2(TMixKey2 *key, bool &enabled);
   AnsiString __fastcall KeyDescription(int atPos);
   int  __fastcall AddKeys(TCustomKeyList *keys);
   int  __fastcall AddKeys(TStrings *keys);
   bool __fastcall AddKey(TCustomKey *key);
   bool __fastcall AddKey(TStrings *key);
   TCpkKey2* __fastcall Key(int atPos);
   //void __fastcall GetType2();
};

class TCpkKeyWin2 : public TCustomKeyWin
{
__published:	// IDE-managed Components
	TMenuItem *rlisttxt1;
	TMenuItem *pubringasc1;
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall ImportBtnClick(TObject *Sender);
	void __fastcall pubringasc1Click(TObject *Sender);
	void __fastcall RemailerDocItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    TCpkKeyList2 *imports;
	virtual __fastcall TCpkKeyWin2(TComponent* Owner);
	virtual __fastcall TCpkKeyWin2(TComponent* Owner, TCpkKeyList2 *Imports);
    virtual __fastcall~TCpkKeyWin2();
    TCpkKey2* __fastcall NodeKey(int atPos);
    void __fastcall AddKeysImport(TCustomKeyList *NewKeys);
    void __fastcall InitSpecial();
    void __fastcall LoadTreeView();
    void __fastcall SaveKeys();
    void __fastcall LoadKeys();
};
//---------------------------------------------------------------------------
extern TCpkKeyWin2 *CpkKeyWin2;
//---------------------------------------------------------------------------
#endif
